<?php
namespace Folha\Entities\Base;

class GpeAlteescala extends \Setforms2\Shared\ORM\BasicEntity
{

    protected $cdoperultatu;
    protected $dtfimescala;
    protected $nrmotivoescala;
    protected $nrescalatrabm;
    protected $nrvinculom;
    protected $dtinclusao;
    protected $cdoperinclusao;
    protected $dtultatu;
    protected $nrorgultatu;
    protected $dsobservacao;
    protected $nrorginclusao;
    protected $dtiniescala;
    protected $nrhordiam;
    protected $nrorg;
    protected $nralteescala;
    protected $nrturno;
    protected $idcontjornada;
    protected $qthrlimitesephextra;
    /** @var \Folha\Entities\GpeHordiam */
    protected $hordiam = null;
    /** @var \Folha\Entities\GpeVinculom */
    protected $vinculom = null;
    /** @var \Folha\Entities\GpeEscalatrabm */
    protected $org = null;
    /** @var \Folha\Entities\GpeMotivoescala */
    protected $motivoescala = null;
    /** @var \Folha\Entities\GpeTurno */
    protected $turno = null;


    public function __construct() {
        $this->cdoperultatu = '1' ;
        $this->cdoperinclusao = '1' ;
        $this->nrorgultatu = 1 ;
        $this->nrorginclusao = 1 ;

    }


    public function getCdoperultatu () {
        return $this->cdoperultatu;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setCdoperultatu ($cdoperultatu) {
        $this->cdoperultatu = $cdoperultatu;
        return $this;
    }

    public function getDtfimescala () {
        return $this->dtfimescala;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setDtfimescala ($dtfimescala) {
        $this->dtfimescala = $dtfimescala;
        return $this;
    }

    public function getNrmotivoescala () {
        return $this->nrmotivoescala;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrmotivoescala ($nrmotivoescala) {
        $this->nrmotivoescala = $nrmotivoescala;
        return $this;
    }

    public function getNrescalatrabm () {
        return $this->nrescalatrabm;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrescalatrabm ($nrescalatrabm) {
        $this->nrescalatrabm = $nrescalatrabm;
        return $this;
    }

    public function getNrvinculom () {
        return $this->nrvinculom;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrvinculom ($nrvinculom) {
        $this->nrvinculom = $nrvinculom;
        return $this;
    }

    public function getDtinclusao () {
        return $this->dtinclusao;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setDtinclusao ($dtinclusao) {
        $this->dtinclusao = $dtinclusao;
        return $this;
    }

    public function getCdoperinclusao () {
        return $this->cdoperinclusao;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setCdoperinclusao ($cdoperinclusao) {
        $this->cdoperinclusao = $cdoperinclusao;
        return $this;
    }

    public function getDtultatu () {
        return $this->dtultatu;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setDtultatu ($dtultatu) {
        $this->dtultatu = $dtultatu;
        return $this;
    }

    public function getNrorgultatu () {
        return $this->nrorgultatu;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrorgultatu ($nrorgultatu) {
        $this->nrorgultatu = $nrorgultatu;
        return $this;
    }

    public function getDsobservacao () {
        return $this->dsobservacao;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setDsobservacao ($dsobservacao) {
        $this->dsobservacao = $dsobservacao;
        return $this;
    }

    public function getNrorginclusao () {
        return $this->nrorginclusao;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrorginclusao ($nrorginclusao) {
        $this->nrorginclusao = $nrorginclusao;
        return $this;
    }

    public function getDtiniescala () {
        return $this->dtiniescala;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setDtiniescala ($dtiniescala) {
        $this->dtiniescala = $dtiniescala;
        return $this;
    }

    public function getNrhordiam () {
        return $this->nrhordiam;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrhordiam ($nrhordiam) {
        $this->nrhordiam = $nrhordiam;
        return $this;
    }

    public function getNrorg () {
        return $this->nrorg;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrorg ($nrorg) {
        $this->nrorg = $nrorg;
        return $this;
    }

    public function getNralteescala () {
        return $this->nralteescala;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNralteescala ($nralteescala) {
        $this->nralteescala = $nralteescala;
        return $this;
    }

    public function getNrturno () {
        return $this->nrturno;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setNrturno ($nrturno) {
        $this->nrturno = $nrturno;
        return $this;
    }

    public function getQthrlimitesephextra () {
        return $this->qthrlimitesephextra;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setQthrlimitesephextra ($qthrlimitesephextra) {
        $this->qthrlimitesephextra = $qthrlimitesephextra;
        return $this;
    }

    public function getIdcontjornada () {
        return $this->idcontjornada;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setIdcontjornada ($idcontjornada) {
        $this->idcontjornada = $idcontjornada;
        return $this;
    }

    /**
     * @return \Folha\Entities\GpeHordiam
     */
    public function getHordiam() {
        if ($this->hordiam === null && ($this->nrhordiam !== null)) {
            $id = array(
                "nrorg" => $this->nrorg,
                "nrhordiam" => $this->nrhordiam,
            );
            $this->hordiam = \Folha\Entities\GpeHordiam::getObject($id);
        }

        return $this->hordiam;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setHordiam(\Folha\Entities\GpeHordiam $hordiam = null) {
        $this->hordiam = $hordiam;
        if($hordiam === null) {
            $this->nrorg = null;
$this->nrhordiam = null;
        } else {
            $this->nrorg = $hordiam->getNrorg();
$this->nrhordiam = $hordiam->getNrhordiam();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeVinculom
     */
    public function getVinculom() {
        if ($this->vinculom === null && ($this->nrvinculom !== null)) {
            $id = array(
                "nrvinculom" => $this->nrvinculom,
                "nrorg" => $this->nrorg,
            );
            $this->vinculom = \Folha\Entities\GpeVinculom::getObject($id);
        }

        return $this->vinculom;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setVinculom(\Folha\Entities\GpeVinculom $vinculom = null) {
        $this->vinculom = $vinculom;
        if($vinculom === null) {
            $this->nrvinculom = null;
$this->nrorg = null;
        } else {
            $this->nrvinculom = $vinculom->getNrvinculom();
$this->nrorg = $vinculom->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeEscalatrabm
     */
    public function getOrg() {
        if ($this->org === null && ($this->nrorg !== null)) {
            $id = array(
                "nrescalatrabm" => $this->nrescalatrabm,
                "nrorg" => $this->nrorg,
            );
            $this->org = \Folha\Entities\GpeEscalatrabm::getObject($id);
        }

        return $this->org;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setOrg(\Folha\Entities\GpeEscalatrabm $org = null) {
        $this->org = $org;
        if($org === null) {
            $this->nrescalatrabm = null;
$this->nrorg = null;
        } else {
            $this->nrescalatrabm = $org->getNrescalatrabm();
$this->nrorg = $org->getNrorg();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeMotivoescala
     */
    public function getMotivoescala() {
        if ($this->motivoescala === null && ($this->nrmotivoescala !== null)) {
            $id = array(
                "nrmotivoescala" => $this->nrmotivoescala,
            );
            $this->motivoescala = \Folha\Entities\GpeMotivoescala::getObject($id);
        }

        return $this->motivoescala;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setMotivoescala(\Folha\Entities\GpeMotivoescala $motivoescala = null) {
        $this->motivoescala = $motivoescala;
        if($motivoescala === null) {
            $this->nrmotivoescala = null;
        } else {
            $this->nrmotivoescala = $motivoescala->getNrmotivoescala();
        }

        return $this;
    }

    /**
     * @return \Folha\Entities\GpeTurno
     */
    public function getTurno() {
        if ($this->turno === null && ($this->nrturno !== null)) {
            $id = array(
                "nrorg" => $this->nrorg,
                "nrturno" => $this->nrturno,
            );
            $this->turno = \Folha\Entities\GpeTurno::getObject($id);
        }

        return $this->turno;
    }

    /**
     * @return \Folha\Entities\GpeAlteescala
     */
    public function setTurno(\Folha\Entities\GpeTurno $turno = null) {
        $this->turno = $turno;
        if($turno === null) {
            $this->nrorg = null;
$this->nrturno = null;
        } else {
            $this->nrorg = $turno->getNrorg();
$this->nrturno = $turno->getNrturno();
        }

        return $this;
    }

}