<?php

namespace HCM\FPA\Calculos\Geral;

abstract class TeknisaAbstractRegra {

    private $_evaluator;

    public function __construct($evaluator) {
        $this->_evaluator = $evaluator;
    }

    public function setVar($nome, $valor){
        $this->_evaluator->setVar($nome, $valor);
    }

    public function executaRegra($code, $debug = false){
        $valor = $this->_evaluator->evaluate($code, $debug);
        //$valor = 0;
        return $valor;
    }
}